Name:           pari-nftables
Version:        20080929
Release:        1%{?dist}
Summary:        PARI/GP Computer Algebra System number field tables

# See http://pari.math.u-bordeaux.fr/packages.html for license information.
License:        GPLv2+
URL:            https://pari.math.u-bordeaux.fr/packages.html
Source0:        https://pari.math.u-bordeaux.fr/pub/pari/packages/nftables.tgz
Source1:        https://pari.math.u-bordeaux.fr/pub/pari/packages/nftables.tgz.asc
# Public key 0xedef8d6a, Karim Belabas <Karim.Belabas@math.u-bordeaux.fr>
Source2:        gpgkey-dd6754092ef692988cfcdcbad49a9c20edef8d6a.gpg

BuildArch:      noarch

BuildRequires:  gnupg2
BuildRequires:  parallel

%description
This package contains the optional PARI package nftables, which provides the
historical megrez number fields tables (errors fixed, 1/10th the size, easier
to use).  These tables can be queried by readvec.

%prep
# Verify the source file
%{gpgverify} --data=%{SOURCE0} --signature=%{SOURCE1} --keyring=%{SOURCE2}

%autosetup -c

# We'll ship the README as %%doc
mv nftables/README .

%build
# Pari can read compressed data files, so save space
parallel %{?_smp_mflags} --no-notice gzip --best ::: nftables/*.gp

%install
mkdir -p %{buildroot}%{_datadir}/pari
cp -a nftables %{buildroot}%{_datadir}/pari

%files
%doc README
%{_datadir}/pari/

%changelog
* Wed Aug 11 2021 Jerry James <loganjerry@gmail.com> - 20080929-1
- Initial RPM
